<template>
  <header class="shadow w-screen">
    <nav>
      <nav
        class="flex items-center justify-between flex-wrap p-6"
        style="background: #34d399"
      >
        <div
          class="flex items-center flex-shrink-0 text-white mr-6 lg:contents"
        >
          <px-icon class="mr-2" />
          <router-link
            :to="{ name: 'home' }"
            class="font-semibold text-xl tracking-tight mr-6"
            >Platzi Cripto Exchange</router-link
          >
        </div>
        <div
          class="
            xs:block
            w-full
            block
            flex-grow
            lg:flex lg:items-center lg:w-auto
          "
        >
          <!-- quite el hidden -->
          <div class="text-sm lg:flex-grow">
            <router-link
              v-for="l in links"
              :key="l.title"
              :to="l.to"
              class="
                block
                mt-4
                lg:inline-block lg:mt-0
                text-green-50 text-opacity-60
                hover:text-white
                mr-4
              "
              >{{ l.title }}</router-link
            >
          </div>
        </div>
        <div class="text-sm mr-5">
          <router-link
            to="/about"
            class="
              font-semibold
              text-lg
              block
              mt-4
              mr-0
              lg:inline-block lg:mt-0
              text-green-50 text-opacity-60
              hover:text-white
              mr-4
            "
            >About</router-link
          >
        </div>
      </nav>
    </nav>
  </header>
</template>

<script>
import PxIcon from "@/components/PxIcon";

export default {
  name: "PxHeader",
  components: { PxIcon },

  props: {
    links: {
      type: Array,
      default: () => [],
    },
  },
};
</script>
